Subject: Re: bug#8179: 24.0.50; vc thinks that SVN takes care of all my files

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Tue, 08 Mar 2011 10:43:52 +0100

Glenn Morris <[email-masked]> writes:

> I guess the change is becuse recent svn apparently use a single
> .svn directory, rather than having one in every subdir of a checkout:
>
> http://lists.gnu.org/archive/html/emacs-devel/2011-02/msg00357.html
>
> Not sure what Emacs can do differently here. I think the right thing for
> you to do is adjust the order of c-handled-backends to your preference,
> as you say.

If root touches /.svn, then nobody on the machine can use vc for
anything by default.  That seems less than optimal.

vc should instead look at what the "closest" vc in use is.  Or the svn
checker should either be made smarter, or if that is impossible, be
moved to the end of the list by default.

-- 
(domestic pets only, the antidote for overdose, milk.)
  [email-masked] * Lars Magne Ingebrigtsen